select
an.numero as receptora
, mae.numero as doadora
, pai.numero as reprodutor
, te.data as data_te
, par.data as ultimo_parto
, (te.data - par.data) as intervalo_ult_par_concep_atual
,(case when (sp.creprodutiva = 1) then 'Inseminada' when (sp.creprodutiva = 2) then 'Implantada' when
            (sp.creprodutiva = 3) then 'Gestante' when (creprodutiva = 4) then 'Vazia' else null end) as sit_reprodutiva
,(case when (sp.cprodutiva = 3) then 'Seca' when (sp.cprodutiva = 4) then 'Lactao' else null end) as sit_produtiva
from
animal an
left join sp_categoriaanimal(current_date, 'cdanimal = ' || an.cdanimal) sp on 1 = 1
left join reproducao te on te.cdreproducao =
(select first 1 re.cdreproducao from reproducao re where re.cdtiporeproducao in (1,2,3) and re.cdanimal = an.cdanimal order by re.data desc)
join animal emb on emb.cdanimal = te.cdembriao
join animal pai on pai.cdanimal = emb.cdpai
join animal mae on mae.cdanimal = emb.cdmae
left join reproducao par on par.cdreproducao =
            (select first 1 re.cdreproducao from reproducao re where re.cdanimal = an.cdanimal and
                re.cdtiporeproducao = 7 and re.data < te.data order by re.data desc)
where
an.cdcategoria = '7'
and 
an.dtbaixa is null
---INFORME AQUI O PERODO DE TE, CONFORME DESEJADO. MANTENHA O FORMATO 'AAAA-DD-MM'.
and te.data between '2015-08-21' and '2017-06-16'

